Bug 823411 - Searching for duplicate anaconda bugs while reporting exception against partner-bugzilla during install fails
Summary: Searching for duplicate anaconda bugs while reporting exception against partn...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libreport
Version: 6.3
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jiri Moskovcak
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On: 820985
Blocks: 826592 826957
TreeView+ depends on / blocked
 
Reported: 2012-05-21 08:09 UTC by Jiri Moskovcak
Modified: 2015-02-01 22:55 UTC (History)
15 users (show)

Fixed In Version: libreport-2.0.9-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 820985
: 826957 (view as bug list)
Environment:
Last Closed: 2012-06-20 07:10:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0841 normal SHIPPED_LIVE Low: abrt, libreport, btparser, and python-meh security and bug fix update 2012-06-19 19:29:03 UTC

Description Jiri Moskovcak 2012-05-21 08:09:40 UTC
This affects even libreport in rhel6 and makes the bugzilla plugin unusable. Patch is ready.

+++ This bug was initially created as a clone of Bug #820985 +++

After deliberately causing a failure in anaconda, reporting the first issue in partner-bugzilla works fine but causing the same failure a second time fails. The following log information is shown:

--- Running report_Bugzilla ---
Logging into Bugzilla at https://partner-bugzilla.redhat.com/
Checking for duplicates
fatal: (null)
(exited with 1)

At the time of this report, the partner-bugzilla duplicate is https://partner-bugzilla.redhat.com/show_bug.cgi?id=819676

If I report the same traceback multiple times to bugzilla.redhat.com, the log output on screen looks like:

--- Running report_Bugzilla ---
Logging into Bugzilla at https://bugzilla.redhat.com
Checking for duplicates
Bug is already reported: 820975
Logging out
Status: NEW https://bugzilla.redhat.com/show_bug.cgi?id=820975

My testing thus far has been with F17 final TC4. The exact procedure that I've been using to cause a failure in anaconda is as follows:
 1. boot DVD iso with the extra param:
   updates=http://tflink.fedorapeople.org/updates/f17_traceback.img
 2. proceed with installation until the timezone selection screen where a 
   traceback will happen
 3. Save the traceback to either bugzilla.redhat.com or 
    partner-bugzilla.redhat.com

Comment 1 Michal Nowak 2012-05-21 08:30:05 UTC
QA-ACK for 6.3.0 Bugzilla was updated to v4.2 ABRT plugin needs to be updated too.

Comment 2 Adam Williamson 2012-05-21 15:08:15 UTC
Drop blocking of F17.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Jiri Moskovcak 2012-05-22 13:46:20 UTC
Patch is ready and already used in Fedora.

Comment 8 errata-xmlrpc 2012-06-20 07:10:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0841.html


Note You need to log in before you can comment on or make changes to this bug.